--- title: "Creating an OCI Service User (REST)" slug: "creating-an-oci-service-user-rest" updated: 2026-06-29T12:45:47Z published: 2026-06-29T12:45:47Z canonical: "docs.britive.com/creating-an-oci-service-user-rest" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.britive.com/llms.txt > Use this file to discover all available pages before exploring further. # Creating an OCI Service User (REST) Use the following cURL command to create an OCI service user: ```shell curl -X POST /admin/v1/Users \  -H "Authorization: Bearer " \  -H "Content-Type: application/scim+json" \  -d '{    "schemas": ["urn:ietf:params:scim:schemas:core:2.0:User",                "urn:ietf:params:scim:schemas:oracle:idcs:extension:user:User"],    "userName": "",    "displayName": "",    "urn:ietf:params:scim:schemas:oracle:idcs:extension:user:User": { "serviceUser": true }  }' ``` Replace the following fields in the above CURL: | Parameter | Value | | --- | --- | | **** | The domain URL of your Oracle Cloud | | **** | The access token you got from this step: [Getting an OCI access token (REST)](/v1/docs/getting-an-oci-access-token-rest) | | **** | Give any username | | **** | Give any display name | Copy ID from the response, that's - ** (a short ID, not an OCID), which is required in the next step.